Summary: A set of tools for DELL PowerEdge servers.
Name: adaptec-cli
Version: 5.50.b17901
Release: 3.cern
License: Unknown
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source: %{name}.tar.gz
Packager: Andras.Horvath@cern.ch
#Requires: sg3_utils-libs
Provides: libstdc++.so.5

%description
Command line toolkit to manage Adaptec cards, including RAID config tool
arcconf and disk firmware upgrade tools.
** firmware upgrade on SL5 only! **

%prep
%setup -n %{name}

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/lib/%{name}
mkdir -p %{buildroot}/usr/share/doc/%{name}
mkdir -p %{buildroot}/etc/ld.so.conf.d
cp arcconf sg_sat_downloaducode sg_sat_pauseio sg_sat_unpauseio %{buildroot}/usr/bin
cp -r lib/libS* lib/libstdc++.so.5 lib/an05fw %{buildroot}/usr/lib/%{name}
%ifarch x86_64
cp -a lib/libsgutils* %{buildroot}/usr/lib/%{name}
%endif
cp README %{buildroot}/usr/share/doc/%{name}
echo "/usr/lib/%{name}" > %{buildroot}/etc/ld.so.conf.d/%{name}.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/arcconf
/usr/bin/sg_sat_downloaducode
/usr/bin/sg_sat_pauseio
/usr/bin/sg_sat_unpauseio
/usr/lib/%{name}
/etc/ld.so.conf.d/%{name}.conf
%doc /usr/share/doc/%{name}/README

%post
ldconfig

%changelog
* Fri Jul 11 2008 Andras Horvath <Andras.Horvath@cern.ch>
- first release
